QGIS Application - Bug report #9036
db manager's spatialite node gone in latest qgis master
2013-11-08 09:06 PM - Mathieu Pellerin - nIRV

Status: Rejected

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 17691
Description

In latest osgeo4w qgis master builds, the db manager's spatialite node is gone, with only postgresgl node showing up. The necessary
osgeodw packages to support spatialite are installed, and db manager could handle spatialite under qgis master not so long ago.

There was a recent osgeo4w spatialite package update, could it be the cause? Under qgis master ubuntu build, the spatialite node is
present.

(Note: on the same machine, spatialite shows up in db manager when running osgeo4w's qgis 2.0)

Related issues:
Duplicated by QGIS Application - Bug report # 9257: SpatialL.ite item is absent... Closed 2013-12-28

History

#1 - 2013-11-08 09:37 PM - Mathieu Pellerin - nIRV

Nathan also confirmed spatialite node missing on his running windows version of qgis master build.

#2 - 2013-12-28 09:25 AM - Maxim Dubinin
- Operating System set to Windows

| confirm too, Windows not ok, Ubuntu ok.

#3 - 2013-12-29 01:05 AM - Alexander Bruy
- Resolution set to worksforme
- Status changed from Open to Rejected

You need to install pyspatialite package

#4 - 2014-01-12 08:56 PM - Mathieu Pellerin - nIRV

Alex, please re-open, the osgeo4w pyspatialite package is installed (as stated in description).

#5 - 2014-01-23 09:16 PM - Mathieu Pellerin - nIRV
Alexander confirmed via IRC that on his machine, both the 32-bit and 64-bit osgeo4w qgis master packages do not exhibit this problem. That got me to

look into this some more. Deleting the osgeo4w directory (and the installation directory) and re-installing led to the same issue.

Then | realized | was running a very old (>1-y-0) osgeo4w-setup.exe file (pre-dating the 32-bit / 64-bit architecture). I've downloaded a new osgeo4w-setup

executable, let's see if it'll make a difference.

#6 - 2014-01-23 11:31 PM - Mathieu Pellerin - nIRV

Ok, so problem was indeed my very old osgeo4w setup executable. The spatialite node now works when installing qgis master through a freshly
downloaded osgeo4w setup executable.
